<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83bFormBusqConvenios"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bConveniosBean" type="w83b.w83bBeans.W83bConveniosBean"/>
				<form-property name="codSelec" type="java.lang.String"/>	
		</form-bean>
		<form-bean
				name="w83bFormNuevoConvenios"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bConveniosNuevoBean" type="w83b.w83bBeans.W83bConveniosBean"/>
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormBusqConvenios[w83bConveniosBean],w83bFormNuevoConvenios[w83bConveniosNuevoBean]"/>				   
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.mantenimientos.convenios"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.convenios.filtro"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>	
				<form-property name="busqRealizadaTemp" type="java.lang.String" initial="false"/>
				<form-property name="codSelec" type="java.lang.String"/>	
				
				<form-property name="migas" type="java.lang.String" initial ="inicio.mantenimiento.convenio"/>								
				
				<form-property name="w83bResultado" type="java.lang.String"/>
				
				<form-property name="w83bConveniosBean" type="w83b.w83bBeans.W83bConveniosBean"/>
				<form-property name="w83bConveniosNuevoBean" type="w83b.w83bBeans.W83bConveniosBean"/>
				<form-property name="w83bConveniosTempBean" type="w83b.w83bBeans.W83bConveniosBean"/>
				<form-property name="w83bListaConvenios" type="java.util.List"/>				
				<form-property name="w83bListaCod" type="java.util.List"/>				
				<form-property name="w83bListaConvenio" type="java.util.List"/>		
				
				<form-property name="w83bAgrupacionesTempBean" type="w83b.w83bBeans.W83bAgrupacionesBean"/>
				<form-property name="w83bAgrupacionesNuevoTempBean" type="w83b.w83bBeans.W83bAgrupacionesBean"/>
				
				<form-property name="subOpFlag" type="java.lang.String" initial="convenios"/>		
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
		<action
				path ="/w83bInicioBusquedaConveniosMenu" forward="paginaConveniosMenu"/>
		<action
				path ="/w83bInicioAnyadirConveniosMenu" forward="paginaAnyadirConveniosMenu"/>
<!--	DISPATCHES-->
		<action
				path="/w83bDispatch"
				name="w83bFormBusqConvenios"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.buscar"
					path="/w83bBusqConvenios.do"/>
				<forward
					name="comun.boton.anyadir"
					path="/w83bTablaConveniosIraNuevo.do"/>
				<forward
					name="comun.boton.editar"
					path="/w83bTablaConveniosDetalle.do"/>
				<forward
					name="comun.boton.consultar"
					path="/w83bTablaConveniosDetalle.do"/>
				<forward
					name="comun.boton.borrar"
					path="/w83bTablaConveniosBorrar.do"/>
				<forward
					name="comun.boton.exportaraExcel"
					path="/w83bTablaConveniosExcel.do"/>
				<forward
					name="comun.boton.asociarConvenio"
					path="/w83bTablaConveniosAsociarOP.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bDispatchAtras.do"/>
		</action>
		
		<action
				path="/w83bDispatchNuevo"
				name="w83bFormNuevoConvenios"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.guardar"
					path="/w83bMovimientoConvenios.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bTablaConveniosAtrasNuevoEdicion.do"/>
		</action>
		
		<action
				path="/w83bDispatchAtras"
				scope="request"
				parameter="subOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="agrupaciones"
					path="/w83bSubOpConveniosEnd.do"/>
				<forward
					name="agrupacionesBusq"
					path="/w83bSubOpConveniosEnd.do"/>
				<forward
					name="convenios"
					path="/w83bAtrasConveniosBusq.do"/>
		</action>

		
		<!-- Operaciones de Paso -->
		<action path="/w83bTablaConveniosOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bConvenios.W83bTablaConveniosOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqConvenios.do"/>
			<forward name="ok" path="/w83bTablaConveniosOutOP.do"/>
			<forward name="outOP" path="/w83bTablaConveniosOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaConveniosMenu.do"/>
		</action>
		
		<action path="/w83bTablaConveniosOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bConvenios.W83bTablaConveniosOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaConveniosMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaConveniosMenu.do"/>
		</action>	
			
		<action path="/w83bTablaConveniosBorrarOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bConvenios.W83bTablaConveniosBorrarOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bTablaConveniosBorrar.do"/>
			<forward name="error" path="/w83bInicioBusquedaConveniosMenu.do"/>
		</action>
			
		<action path="/w83bTablaConveniosBorrarOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bConvenios.W83bTablaConveniosBorrarOutOPAction" 
			 validate="false">
		</action>
			
		<action path="/w83bTablaConveniosAsociarOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bConvenios.W83bTablaConveniosAsociarOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bTablaConveniosAsociar.do"/>
			<forward name="error" path="/w83bInicioBusquedaConveniosMenu.do"/>
		</action>
			
		<action path="/w83bTablaConveniosAsociarOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bConvenios.W83bTablaConveniosAsociarOutOPAction" 
			 validate="false">
		</action>
	
		<action path="/w83bTablaConvenioOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bConvenios.W83bTablaConvenioOPAction" 
			 validate="false">
			<forward name="find" path="/w83bBusqConvenio.do"/>
			<forward name="ok" path="/w83bTablaConvenioOutOP.do"/>
			<forward name="outOP" path="/w83bTablaConvenioOutOP.do"/>
			<forward name="error" path="/w83bInicioAnyadirConveniosMenu.do"/>
		</action>
		
		<action path="/w83bTablaConvenioOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bConvenios.W83bTablaConvenioOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioAnyadirConveniosMenu.do"/>
			<forward name="error" path="/w83bInicioAnyadirConveniosMenu.do"/>
		</action>	
		
		<action path="/w83bTablaConveniosIraNuevo" 
		name="w83bFormBusqConvenios" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bConvenios.W83bTablaConveniosIraNuevoAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioAnyadirConveniosMenu.do"/>
			<forward name="error" path="/w83bInicioBusquedaConveniosMenu.do"/>
		</action>		
		
		<action path="/w83bTablaConveniosIraBusqAgrupaciones" 
		scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bConvenios.W83bTablaConveniosIraBusqAgrupacionesAction" 
			 validate="false">
			<forward name="ok" path="/w83bDispatchAtras.do"/>
			<forward name="error" path="/w83bInicioBusquedaConveniosMenu.do"/>
		</action>		
	
		<action path="/w83bConveniosComprobarAsociacionOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bConvenios.W83bConveniosComprobarAsociacionOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bConveniosComprobarAsociacionOI.do"/>
			<forward name="error" path="/w83bInicioBusquedaConveniosMenu.do"/>
		</action>
	
		<action path="/w83bConveniosComprobarAsociacionOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bConvenios.W83bConveniosComprobarAsociacionOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bConveniosComprobarAsociacionOI.do"/>
			<forward name="error" path="/w83bInicioBusquedaConveniosMenu.do"/>
		</action>
		
		<action path="/w83bTablaConveniosExcel" 
		name="w83bFormBusqConvenios" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bConvenios.W83bTablaConveniosExcelAction" 
			 validate="false">
		</action>		
		
		<action path="/w83bAtrasConveniosBusq" 
		name="w83bFormBusqConvenios" type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action> 
		
		<action path="/w83bTablaConveniosAtrasNuevoEdicion" 
		name="w83bFormBusqConvenios" scope="request" type="w83b.w83bOperacionesPaso.w83bMantenimientos.w83bConvenios.W83bTablaConveniosAtrasNuevoEdicionAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaConveniosMenu.do"/>
			<forward name="error" path="/w83bInicioAnyadirConveniosMenu.do"/>
		</action>		
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->	
   		<action path ="/w83bBusqConvenios" 
			 parameter="w83bBusqConveniosOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaConveniosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaConveniosOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaConveniosMenu.do" />
		</action>
   		<action path ="/w83bBusqConvenio" 
			 parameter="w83bBuscConvenioOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaConveniosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaConvenioOutOP.do" />
					<forward name="error" path="/w83bInicioAnyadirConveniosMenu.do" />
		</action>
   		<action path ="/w83bTablaConveniosDetalle" 
			 parameter="w83bDetalleConveniosOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaConveniosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirConveniosMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirConveniosMenu.do" />
		</action>
   		<action path ="/w83bMovimientoConvenios" 
			 parameter="w83bMovimientoConveniosOI" 
			 validate="true" name="w83bFormNuevoConvenios" 
			 input="/w83bInicioAnyadirConveniosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioAnyadirConveniosMenu.do" />
					<forward name="error" path="/w83bInicioAnyadirConveniosMenu.do" />
		</action>
   		<action path ="/w83bTablaConveniosBorrar" 
			 parameter="w83bBorrarConveniosOI" 
			 validate="false" name="w83bFormNuevoConvenios" 
			 input="/w83bInicioAnyadirConveniosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaConveniosBorrarOutOP.do" />
					<forward name="error" path="/w83bInicioAnyadirConveniosMenu.do" />
		</action>
   		<action path ="/w83bTablaConveniosAsociar" 
			 parameter="w83bAsociarConveniosOI" 
			 validate="false" name="w83bFormNuevoConvenios" 
			 input="/w83bInicioAnyadirConveniosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaConveniosAsociarOutOP.do" />
					<forward name="error" path="/w83bInicioAnyadirConveniosMenu.do" />
		</action>
   		<action path ="/w83bConveniosComprobarAsociacionOI" 
			 parameter="w83bConveniosComprobarAsociacionOI" 
			 validate="false"  
			 input="/w83bInicioBusquedaConveniosMenu.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bConveniosComprobarAsociacionOutOP.do" />
					<forward name="error" path="/w83bInicioAnyadirConveniosMenu.do" />
		</action>
		<!-- Fin Operaciones Internas -->	
		
		<!-- SUB-OPERACIONES -->
		<action path="/w83bSubOpConveniosInit" forward="/w83bInicioBusquedaConveniosMenu.do">
			<set-property property="subOp" value="init" />
		</action>
		
		<action path="/w83bSubOpConveniosEnd" forward="/w83bSubOpConveniosInit.do">
			<set-property property="subOp" value="end" />
		</action>
		
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-convenios.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>